Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Interface RequestContext

All Known Implementing Classes:
  PortletRequestContext, ServletRequestContext

    public interface RequestContext

Abstracts access to the request information needed for file uploads. This interfsace should be implemented for each type of request that may be handled by FileUpload, such as servlets and portlets.

Since:
  FileUpload 1.1
Version:
  $Id: RequestContext.java 479262 2006-11-26 03:09:24Z niallp $
Author:
  Martin Cooper

Method Summary
`java.lang.String` | `getCharacterEncoding()` Retrieve the character encoding for the request.
`int` | `getContentLength()` Retrieve the content length of the request.
`java.lang.String` | `getContentType()` Retrieve the content type of the request.
`java.io.InputStream` | `getInputStream()` Retrieve the input stream for the request.

Method Detail

### getCharacterEncoding

    java.lang.String getCharacterEncoding()

  Retrieve the character encoding for the request.

  Returns:
    The character encoding for the request.

### getContentType

    java.lang.String getContentType()

  Retrieve the content type of the request.

  Returns:
    The content type of the request.

### getContentLength

    int getContentLength()

  Retrieve the content length of the request.

  Returns:
    The content length of the request.

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Retrieve the input stream for the request.

  Returns:
    The input stream for the request.
  Throws:
    `java.io.IOException` - if a problem occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.